Skip to main content
PATCH
/
v2
/
annotation-configs
/
{annotation_config_id}
Update an annotation config
curl --request PATCH \
  --url https://api.arize.com/v2/annotation-configs/{annotation_config_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "annotation_config_type": "categorical",
  "name": "quality-v2",
  "values": [
    {
      "label": "good",
      "score": 1
    },
    {
      "label": "bad",
      "score": 0
    }
  ],
  "optimization_direction": "maximize"
}
'
{
  "id": "QW5ub3RhdGlvbkNvbmZpZzoxMjM0NQ==",
  "name": "quality-v2",
  "space_id": "space_12345",
  "type": "categorical",
  "values": [
    {
      "label": "good",
      "score": 1
    },
    {
      "label": "bad",
      "score": 0
    }
  ],
  "optimization_direction": "maximize",
  "created_at": "2024-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

annotation_config_id
string
required

The unique annotation config identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing annotation config update parameters. The annotation_config_type is required and must match the stored config's type.

The base annotation config update parameters

annotation_config_type
enum<string>
required

The type of annotation config:

  • continuous: a numeric score within a defined range
  • categorical: a set of labeled values each with an optional score
  • freeform: free-text annotation with no structured scoring
Available options:
continuous
name
string

New name for the annotation config. Must be unique within the space.

minimum_score
number<double>

New minimum score value.

maximum_score
number<double>

New maximum score value.

optimization_direction
enum<string>
default:none

New optimization direction.

Available options:
maximize,
minimize,
none

Response

An annotation config object

id
string
required

The unique identifier for the annotation config

name
string
required

The name of the annotation config

created_at
string<date-time>
required

The timestamp for when the annotation config was created

space_id
string
required

The space id the annotation config belongs to

type
enum<string>
required

Discriminator value identifying a continuous annotation config.

Available options:
continuous
minimum_score
number<double>
required

The minimum score value

maximum_score
number<double>
required

The maximum score value

optimization_direction
enum<string>
default:none

Direction for optimization. When absent, the server treats the value as none.

Available options:
maximize,
minimize,
none